#include "SoundPlayer.h"

SoundPlayer::SoundPlayer()
{
	SetFilename(wxT("") );
}

SoundPlayer::SoundPlayer(const wxString& filename)
{
	SetFilename(filename);
}

void SoundPlayer::SetFilename(const wxString& filename)
{
	fn = filename;
}

bool SoundPlayer::Play()
{
	if (!FSOUND_Init(44100, 32, 0) )
	{
		return FALSE;
	}
	
	FSOUND_STREAM *stream = FSOUND_Stream_OpenFile(fn.mb_str(), FSOUND_HW3D, 0 );
	if (stream == NULL)
	{
		return FALSE;
	}
	
	channel = FSOUND_Stream_Play(FSOUND_FREE, stream);
	if (channel == -1)
	{
		return FALSE;
	}
	
	if (stream != NULL)
	{
		stream = NULL;
	}
	return TRUE;
}

void SoundPlayer::Stop()
{
	FSOUND_StopSound(channel);
}

bool SoundPlayer::IsPlaying()
{
	return FSOUND_IsPlaying(channel);	
}
