#include <wx/wx.h>
#include <wx/datetime.h>

#include "MyTimeCtrl.h"
#include "SoundPlayer.h"

enum
{
	ID_START 	= 1,
	ID_STOP 	= 2,
	ID_CHOOSE	= 3,
	ID_TIMER 	= 4
};

class TimerFrame : public wxFrame
{
public:
	/**
	 * Constructor
	 */
	TimerFrame(wxWindow *parent = NULL, const wxString& title = wxT("TimerFrame") );
	
	/**
	 * Destructor
	 */
	~TimerFrame();
	
	/**
	 * Handler for Start button
	 *
	 * @param event
	 */
	void OnStart(wxCommandEvent& event);
	
	/**
	 * Handler for Stop button
	 *
	 * @param event
	 */
	void OnStop(wxCommandEvent& event);
	
	/**
	 * Handler for Choose button
	 *
	 * @param event
	 */
	void OnChoose(wxCommandEvent& event);
	
	/**
	 * Timer
	 *
	 * @param event
	 */
	void OnTimer(wxTimerEvent& event);
	
	
private:
	wxString fn;
	wxButton *start;
	wxButton *stop;
	wxButton *choose;
	wxTimer  *timer;
	
	MyTimeCtrl *timectrl;
	SoundPlayer *player;
	
	bool running;
	
	DECLARE_DYNAMIC_CLASS(TimerFrame)
	DECLARE_EVENT_TABLE()
};
